package cn.superdesk.uniorder.dao.mapper.base;

import cn.superdesk.uniorder.dao.entity.base.UnifiedOrderCredit;
import cn.superdesk.uniorder.dao.entity.base.UnifiedOrderCreditExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface UnifiedOrderCreditMapper {
    long countByExample(UnifiedOrderCreditExample example);

    int deleteByExample(UnifiedOrderCreditExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UnifiedOrderCredit record);

    int insertSelective(UnifiedOrderCredit record);

    List<UnifiedOrderCredit> selectByExample(UnifiedOrderCreditExample example);

    UnifiedOrderCredit selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UnifiedOrderCredit record, @Param("example") UnifiedOrderCreditExample example);

    int updateByExample(@Param("record") UnifiedOrderCredit record, @Param("example") UnifiedOrderCreditExample example);

    int updateByPrimaryKeySelective(UnifiedOrderCredit record);

    int updateByPrimaryKey(UnifiedOrderCredit record);
}